<div class="btnAcrossPageName">
  <!-- add -->
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='ADD_NEW' (click)='doPrepareInserOrUpdate()'
             mbButtonText="{{'staffAbs.approvalFlow.insert' | translate}}"></mb-button>
</div>


<div class="content__item content__item--border bg__content--default">
  <form nz-form [formGroup]='formSearch' (keyup.enter)='doSearch(1)'>
    <div nz-row [nzGutter]='[30,30]'>
      <div nz-col nzXs='24' nzLg='12'>
        <mb-input-text formControlName='name' [mbMaxLength]='255'
          mbPlaceholderText="--{{'staffAbs.approvalFlow.flowName' | translate}}--"
          mbLabelText="{{'staffAbs.approvalFlow.flowName' | translate}}"></mb-input-text>
      </div>
    </div>
  </form>

  <!-- button -->
  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>
    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)="doSearch()"
          mbButtonText="{{'staffAbs.label.search' | translate}}"
        ></mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>

</div>


<div class='search__result'>
  <mb-table-wrap>
    <mb-table (changePageNum)='doSearch($event)' [tableConfig]='tableConfig' [tableData]='searchResult'></mb-table>
  </mb-table-wrap>
</div>


<ng-template #resonCodeTmpl let-reasonCodeArray='reasonCodeArray'>
  <ng-container *ngIf="reasonCodeArray">
    <ul class="leave-time">
      <li *ngFor="let item of reasonCodeArray">{{item}}</li>
    </ul>
  </ng-container>
</ng-template>

<ng-template #maxDayTmpl let-maxDayArray='maxDayArray'>
  <ng-container *ngIf="maxDayArray">
    <ul class="leave-time">
      <li *ngFor="let item of maxDayArray">{{item}}</li>
    </ul>
  </ng-container>
</ng-template>

<ng-template #registerLevelTmpl let-registerLevelIdArray='registerLevelIdArray'>
  <ng-container *ngIf="registerLevelIdArray">
    <ul class="leave-time">
      <li *ngFor="let item of registerLevelIdArray">{{item}}</li>
    </ul>
  </ng-container>
</ng-template>

<ng-template #approvalLevelTmpl let-approvalLevelIdArray='approvalLevelIdArray'>
  <ng-container *ngIf="approvalLevelIdArray">
    <ul class="leave-time">
      <li *ngFor="let item of approvalLevelIdArray">{{item}}</li>
    </ul>
  </ng-container>
</ng-template>

<ng-template #hrLevelTmpl let-hrLevelCodeArray='hrLevelCodeArray'>
  <ng-container *ngIf="hrLevelCodeArray">
    <ul class="leave-time">
      <li *ngFor="let item of hrLevelCodeArray">{{item}}</li>
    </ul>
  </ng-container>
</ng-template>

<ng-template #actionTmpl let-approvalFlowId='approvalFlowId'>
  <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt"
    (click)="doPrepareInserOrUpdate(approvalFlowId)"></mb-button>
  <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" nz-popconfirm
    nzPopconfirmTitle="{{'staffAbs.table.action.confirmDelete' | translate}}"
    nzCancelText="{{'staffAbs.table.action.cancel' | translate}}" nzOkType="primary"
    nzOkText="{{'staffAbs.table.action.yes' | translate}}" (nzOnConfirm)="doDelete(approvalFlowId)"
    nzPopconfirmPlacement="top" mbPrefixIcon="fal fa-trash-alt"></mb-button>
</ng-template>
